apiVersion: apps/v1
kind: Deployment
metadata:
  name: questcode-backend-scm
  labels:
    app: questcode-backend-scm
spec:
   replicas: 2
   selector:
     matchLabels:
       app: questcode-backend-scm
   template:
     metadata:
       labels:
         app: questcode-backend-scm
     spec:
       containers:
       - name: questcode-backend-scm
         image: sandrocaetano/backend-scm
         ports:
         - containerPort: 3020
         env: 
         - name: NODE_ENV
           valueFrom:
             configMapKeyRef:
               name: questcode
               key: NODE_ENV 
         - name: GITHUB_CLIENT_ID
           valueFrom:
             configMapKeyRef:
               name: questcode
               key: GITHUB_CLIENT_ID
         - name: GITHUB_CLIENT_SECRET
           valueFrom:
             secretKeyRef:
               name: questcode
               key: GITHUB_CLIENT_SECRET
         - name: SECRET_OR_KEY
           valueFrom:
             secretKeyRef:
               name: questcode
               key: SECRET_OR_KEY
    